<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();
$set['title']='Редактирование анкеты';
require_once $corec.'/sys/inc/thead.php';
title();
#-------------------splek----------------------@__________
if (isset($_POST['name'])){
//////////////////////////////////////////
$name=esc($_POST['name']);
if (strlen2($name)>32){$err='Содержиние поля "ИМЯ" слишком большое.';}
if (strlen2($name)<2){$err='Содержиние поля "ИМЯ" слишком коротко.';}
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$name))$err='В строке "Имя" используется запрещаемый символ.';
//////////////////////////////////////////
$fam=esc($_POST['fam']);
if (strlen2($fam)>32){$err='Содержиние поля "Фамилия" слишком большое.';}
if (strlen2($fam)<2){$err='Содержиние поля "Фамилия" слишком коротко.';}
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$fam))$err='В строке "Фамилия" используется запрещаемый символ.';
//////////////////////////////////////////
$in=esc($_POST['in']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$in))$err='В строке "Интересы" используется запрещаемый символ.';
if (strlen2($in)>332){$err='Содержиние поля "Интересы" слишком большое.';}
if (strlen2($in)<2){$err='Содержиние поля "Интересы" слишком коротко.';}
//////////////////////////////////////////
$ank_o_sebe=esc($_POST['ank_o_sebe']);
if (strlen2($ank_o_sebe)>512){$err='Содержиние поля "О себе" слишком большое.';}
if (strlen2($ank_o_sebe)<10){$err='Содержиние поля "О себе" слишком коротко.';}
//////////////////////////////////////////
$glass=esc($_POST['glass']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$glass))$err='В строке "Цвет глаз" используется запрещаемый символ.';
if (strlen2($glass)>10){$err='Содержиние поля "Цвет глаз" слишком большое.';}
if (strlen2($glass)<3){$err='Содержиние поля "Цвет глаз" слишком коротко.';}
//////////////////////////////////////////
$telo=esc($_POST['telo']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$telo))$err='В строке "Телосложение" используется запрещаемый символ.';
if (strlen2($telo)>15){$err='Содержиние поля "Телосложение" слишком большое.';}
if (strlen2($telo)<3){$err='Содержиние поля "Телосложение" слишком коротко.';}
//////////////////////////////////////////
$znakom=esc($_POST['znakom']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$znakom))$err='В строке "Цель знакомства" используется запрещаемый символ.';
if (strlen2($znakom)>35){$err='Содержиние поля "Цель знакомства" слишком большое.';}
if (strlen2($znakom)<3){$err='Содержиние поля "Цель знакомства" слишком коротко.';}
//////////////////////////////////////////
$mesto=esc($_POST['mesto']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$mesto))$err='В строке "Место работы" используется запрещаемый символ.';
if (strlen2($mesto)>20){$err='Содержиние поля "Место работы" слишком большое.';}
if (strlen2($mesto)<3){$err='Содержиние поля "Место работы" слишком коротко.';}
//////////////////////////////////////////
$mesto1=esc($_POST['mesto1']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$mesto1))$err='В строке "Место учёбы" используется запрещаемый символ.';
if (strlen2($mesto1)>20){$err='Содержиние поля "Место учёбы" слишком большое.';}
if (strlen2($mesto1)<3){$err='Содержиние поля "Место учёбы" слишком коротко.';}
//////////////////////////////////////////
$film=esc($_POST['film']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$film))$err='В строке "Любимые фильмы" используется запрещаемый символ.';
if (strlen2($film)>60){$err='Содержиние поля "Любимые фильмы" слишком большое.';}
if (strlen2($film)<3){$err='Содержиние поля "Любимые фильмы" слишком коротко.';}
//////////////////////////////////////////
$muzon=esc($_POST['muzon']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$muzon))$err='В строке "Любимая музыка" используется запрещаемый символ.';
if (strlen2($muzon)>60){$err='Содержиние поля "Любимая музыка" слишком большое.';}
if (strlen2($muzon)<3){$err='Содержиние поля "Любимая музыка" слишком коротко.';}
//////////////////////////////////////////
$like_s=esc($_POST['like_s']);
if (!preg_match("#^([a-zA-Zа-яА-ЯёЁ\s\,\.\!])+$#ui",$like_s))$err='В строке "Жизненные цели" используется запрещаемый символ.';
if (strlen2($like_s)>50){$err='Содержиние поля "Жизненные цели" слишком большое.';}
if (strlen2($like_s)<3){$err='Содержиние поля "Жизненные цели" слишком коротко.';}
//////////////////////////////////////////
$ank_d_r=esc($_POST['ank_d_r']);
if (!preg_match("#^([0-9])+$#ui",$ank_d_r))$err='В строке *День рождение* используется запрещаемый символ.';
if (strlen2($ank_d_r)>2){$err='Содержиние поля "День рождения" слишком большое.';}
if (strlen2($ank_d_r)<0){$err='Содержиние поля "День рождения" слишком коротко.';}
//////////////////////////////////////////
$ank_m_r=esc($_POST['ank_m_r']);
if (!preg_match("#^([0-9])+$#ui",$ank_m_r))$err='В строке *Месяц рождения* используется запрещаемый символ.';
if (strlen2($ank_m_r)>2){$err='Содержиние поля "Месяц рождения" слишком большое.';}
if (strlen2($ank_m_r)<0){$err='Содержиние поля "Месяц рождения" слишком коротко.';}
//////////////////////////////////////////
$ank_g_r=esc($_POST['ank_g_r']);
if (!preg_match("#^([0-9])+$#ui",$ank_g_r))$err='В строке *Год рождения* используется запрещаемый символ.';
if (strlen2($ank_g_r)>4){$err='Содержиние поля "Год рождения" слишком большое.';}
if (strlen2($ank_g_r)<0){$err='Содержиние поля "Год рождения" слишком коротко.';}
//////////////////////////////////////////
#----------------------anka---------------@________________
#lol
#lolol
#lololo
#lala
#@lol
#lala
#ank.php
#---------------------------KotikLove.rU--------------------------@_______
if (!isset($err)){
mysql_query("UPDATE `user` SET `ank_name` = '".my_esc($name)."', `fameli` = '".my_esc($fam)."', `interes` = '".my_esc($in)."', `ank_o_sebe` = '".my_esc($ank_o_sebe)."', `ank_d_r` = '".intval($_POST['ank_d_r'])."', `ank_m_r` = '".intval($_POST['ank_m_r'])."', `ank_g_r` = '".intval($_POST['ank_g_r'])."' WHERE `id` = '".$user['id']."'");
mysql_query("UPDATE `user` SET `glass` = '".my_esc($glass)."', `telo` = '".my_esc($telo)."', `znakom` = '".my_esc($znakom)."', `mesto` = '".my_esc($mesto)."', `mesto1` = '".my_esc($mesto1)."', `film` = '".my_esc($film)."', `muzon` = '".my_esc($muzon)."', `like_s` = '".my_esc($like_s)."' WHERE `id` = '".$user['id']."'");
echo mysql_error();
msg('Успешно.');}}
#------------------------------splek--------------------------------@_______
err();

echo "<form method='post' action='redict.php'>\n";
echo '<div class="ankus">';
echo "Имя:<br /><input type='text' name='name' value='$user[ank_name]'>";
echo "<br />Фамилия:<br /><input type='text' name='fam' value='$user[fameli]'>";
echo "<br />Дата рождения:<br />\n";
echo "<input type='text' name='ank_d_r' value='$user[ank_d_r]' size='2' />\n";
echo "<input type='text' name='ank_m_r' value='$user[ank_m_r]' size='2' />\n";
echo "<input type='text' name='ank_g_r' value='$user[ank_g_r]' size='4' />\n";
echo "<br />Место работы:<br /><input type='text' name='mesto' value='$user[mesto]'>";
echo "<br />Место учёбы:<br /><input type='text' name='mesto1' value='$user[mesto1]'>";
echo "<br />Цвет глаз:<br /><input type='text' name='glass' value='$user[glass]'>";
echo "<br />Телосложение:<br /><input type='text' name='telo' value='$user[telo]'>";
echo "<br />Интересы:<br /><textarea name='in' cols='25' rows='3'>".htmlspecialchars($user['interes'])."</textarea>";
echo "<br />О себе:<br /><textarea name='ank_o_sebe' cols='25' rows='3'>".htmlspecialchars($user['ank_o_sebe'])."</textarea>";
echo "<br />Цель знакомства:<br /><textarea name='znakom' cols='25' rows='3'>".htmlspecialchars($user['znakom'])."</textarea>";
echo "<br />Любимые фильмы:<br /><textarea name='film' cols='25' rows='3'>".htmlspecialchars($user['film'])."</textarea>";
echo "<br />Любимая музыка:<br /><textarea name='muzon' cols='25' rows='3'>".htmlspecialchars($user['muzon'])."</textarea>";
echo "<br />Жизненные цели:<br /><textarea name='like_s' cols='25' rows='3'>".htmlspecialchars($user['like_s'])."</textarea>";
echo "<br /><input type='submit' name='save' value='Сохранить' /></div>\n";
echo "</form>\n";

require_once $corec.'/sys/inc/tfoot.php';
?>